/*
 * (c) Copyright 1999-2009 PaperCut Software International Pty. Ltd.
 * $Id: TopupAccountOnDemandPlugin2.java 8838 2009-09-24 07:16:08Z matt $
 */
package biz.papercut.pcng.plugin;

/**
 * 2nd version of the TopupAccountOnDemandPlugin that enforces the implementor to implement the "isPluginEnabled" method.
 * 
 * This is important, because we should only ever have a single instance of this enabled at once.
 * 
 * NOTE: Although this interface has no direct implementors, it's required for backwards compatibility.
 * 
 * @author matt
 */
public interface TopupAccountOnDemandPlugin2 extends TopupAccountOnDemandPlugin, EnableablePlugin {

}
